### Method

# Gtk TreeViewset_activate_on_single_click

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_activate_on_single_click (
      GtkTreeView* tree_view,
      gboolean single
    )

#### Description [src]

Cause the `GtkTreeView`::row-activated signal to be emitted on a single click instead of a double click.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Sets property | `Gtk.TreeView:activate-on-single-click`

#### Parameters

`single`

  Type: `gboolean`

  `TRUE` to emit row-activated on a single click.